Sets the status of the batch to ready using id.
1 min
POST
https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing
Body Parameters
- bodySitesRequest.json
Responses
204
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing"
payload = {}
headers = {
'accept': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
204
// File is ready to get processed.